Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.deployment
Class WSDDGenerator

    java.lang.Object
      org.jboss.webservice.deployment.WSDDGenerator

public class WSDDGenerator
extends Object

Generate the Axis deployment wsdd

Although there is a `wsdlFile` element in the wsdd it not used by axis to describe the service the only purpose is, to return that file upon the ?WSDL operation

Since:
  08-Jun-2004
Author:
  Thomas.Diesler@jboss.org

Constructor Summary
`WSDDGenerator(ServiceDescription service)` A wsdd generator for a preconfigured ServiceDescription

Method Summary
`void` | `appendFooter(PrintWriter out)`
`void` | `appendHeader(PrintWriter out)`
`void` | `appendOperations(PrintWriter out)` Append the operation information, which is taken from the wsdl
`void` | `appendServiceElement(PrintWriter out, String serviceID, String provider)` Append the service element
`void` | `appendTypeMappings(PrintWriter out)` Append the typeMapping information, which is taken from the wsdl and jaxrpc-mapping.xml
`void` | `generateDeployment(PrintWriter out, String serviceName, String provider)` Generate the entire WSDD file
`static String` | `getQNameAttrValue(javax.xml.namespace.QName qname)`
`static void` | `main(String[] args)` WSDDGenerator [wsdl] [jaxrpc-mapping] [portName]

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDGenerator

    public WSDDGenerator(ServiceDescription service)

  A wsdd generator for a preconfigured ServiceDescription

Method Detail

### generateDeployment

    public void generateDeployment(PrintWriter out,
                                   String serviceName,
                                   String provider)

  Generate the entire WSDD file

### appendHeader

    public void appendHeader(PrintWriter out)

### appendServiceElement

    public void appendServiceElement(PrintWriter out,
                                     String serviceID,
                                     String provider)

  Append the service element

### appendOperations

    public void appendOperations(PrintWriter out)

  Append the operation information, which is taken from the wsdl

### appendTypeMappings

    public void appendTypeMappings(PrintWriter out)

  Append the typeMapping information, which is taken from the wsdl and jaxrpc-mapping.xml

### appendFooter

    public void appendFooter(PrintWriter out)

### getQNameAttrValue

    public static String getQNameAttrValue(javax.xml.namespace.QName qname)

### main

    public static void main(String[] args)
                     throws Exception

  WSDDGenerator [wsdl] [jaxrpc-mapping] [portName]

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.